### Method

# Qmi MessageFoxGetFirmwareVersionInput ref

since: 1.32

#### Declaration [src]

    QmiMessageFoxGetFirmwareVersionInput*
    qmi_message_fox_get_firmware_version_input_ref (
      QmiMessageFoxGetFirmwareVersionInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.32

#### Return value

Type: `QmiMessageFoxGetFirmwareVersionInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.